%?mingw_package_header

%global name1 qwt

Name:           mingw-%{name1}
Summary:        MinGW Windows Qwt library
Version:        6.0.1
Release:        3%{?dist}
URL:            http://qwt.sourceforge.net
License:        LGPLv2 with exceptions
Group:          Development/Libraries
Source:         http://downloads.sourceforge.net/%{name1}/%{name1}-%{version}.tar.bz2
Patch0:         qwt-w64.patch
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw64-filesystem
BuildRequires:  mingw32-qt
BuildRequires:  mingw64-qt
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
MinGW Windows Qwt library.


%package -n mingw32-%{name1}
Summary:        MinGW Windows Qwt library

%description -n mingw32-%{name1}
MinGW Windows Qwt library.

%package -n mingw64-%{name1}
Summary:        MinGW Windows Qwt library

%description -n mingw64-%{name1}
MinGW Windows Qwt library.

%?mingw_debug_package

%prep
%setup -qcn %{name1}-%{version}
pushd %{name1}-%{version}
%patch0 -p0
popd
mv %{name1}-%{version} win32
cp -r win32 win64
%if 0%{?mingw_build_win32} == 1
pushd win32
perl -i -pe 's,QWT_CONFIG\s*\+=\s*QwtDesigner,\#QWT_CONFIG     += QwtDesigner,' qwtconfig.pri
perl -i -pe 's,QWT_INSTALL_PREFIX\s*=.*$,QWT_INSTALL_PREFIX    = %mingw32_prefix,' qwtconfig.pri
popd
%endif
%if 0%{?mingw_build_win64} == 1
pushd win64
perl -i -pe 's,QWT_CONFIG\s*\+=\s*QwtDesigner,\#QWT_CONFIG     += QwtDesigner,' qwtconfig.pri
perl -i -pe 's,QWT_INSTALL_PREFIX\s*=.*$,QWT_INSTALL_PREFIX    = %mingw64_prefix,' qwtconfig.pri
popd
%endif

%build
%if 0%{?mingw_build_win32} == 1
pushd win32
%mingw32_qmake_qt4
make textengines/Makefile
pushd textengines
make mathml/Makefile
popd
perl -i -pe 's,qwt4,qwt,' textengines/mathml/Makefile.Release
perl -i -pe 's,qwtd4,qwtd,' textengines/mathml/Makefile.Debug
make %{?_smp_mflags}
popd
%endif
%if 0%{?mingw_build_win64} == 1
pushd win64
%mingw64_qmake_qt4
make textengines/Makefile
pushd textengines
make mathml/Makefile
popd
perl -i -pe 's,qwt4,qwt,' textengines/mathml/Makefile.Release
perl -i -pe 's,qwtd4,qwtd,' textengines/mathml/Makefile.Debug
make %{?_smp_mflags}
popd
%endif

%install
%if 0%{?mingw_build_win32} == 1
pushd win32
make INSTALL_ROOT=$RPM_BUILD_ROOT install
popd
rm -rf $RPM_BUILD_ROOT%{mingw32_prefix}/doc
rm -rf $RPM_BUILD_ROOT%{mingw32_prefix}/features
mkdir -p $RPM_BUILD_ROOT%{mingw32_includedir}/%{name1}
mv $RPM_BUILD_ROOT%{mingw32_includedir}/*.h $RPM_BUILD_ROOT%{mingw32_includedir}/%{name1}
mkdir -p $RPM_BUILD_ROOT%{mingw32_bindir}
mv $RPM_BUILD_ROOT%{mingw32_libdir}/*.dll $RPM_BUILD_ROOT%{mingw32_bindir}
%endif
%if 0%{?mingw_build_win64} == 1
pushd win64
make INSTALL_ROOT=$RPM_BUILD_ROOT install
popd
rm -rf $RPM_BUILD_ROOT%{mingw64_prefix}/doc
rm -rf $RPM_BUILD_ROOT%{mingw64_prefix}/features
mkdir -p $RPM_BUILD_ROOT%{mingw64_includedir}/%{name1}
mv $RPM_BUILD_ROOT%{mingw64_includedir}/*.h $RPM_BUILD_ROOT%{mingw64_includedir}/%{name1}
mkdir -p $RPM_BUILD_ROOT%{mingw64_bindir}
mv $RPM_BUILD_ROOT%{mingw64_libdir}/*.dll $RPM_BUILD_ROOT%{mingw64_bindir}
%endif

%files -n mingw32-%{name1}
%doc win32/CHANGES
%doc win32/COPYING
%doc win32/README
%{mingw32_bindir}/%{name1}.dll
%{mingw32_bindir}/%{name1}d.dll
%{mingw32_bindir}/%{name1}mathml.dll
%{mingw32_bindir}/%{name1}mathmld.dll
%{mingw32_includedir}/%{name1}
%{mingw32_libdir}/lib%{name1}.a
%{mingw32_libdir}/lib%{name1}d.a
%{mingw32_libdir}/lib%{name1}mathml.a
%{mingw32_libdir}/lib%{name1}mathmld.a

%files -n mingw64-%{name1}
%doc win64/CHANGES
%doc win64/COPYING
%doc win64/README
%{mingw64_bindir}/%{name1}.dll
%{mingw64_bindir}/%{name1}d.dll
%{mingw64_bindir}/%{name1}mathml.dll
%{mingw64_bindir}/%{name1}mathmld.dll
%{mingw64_includedir}/%{name1}
%{mingw64_libdir}/lib%{name1}.a
%{mingw64_libdir}/lib%{name1}d.a
%{mingw64_libdir}/lib%{name1}mathml.a
%{mingw64_libdir}/lib%{name1}mathmld.a

%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jan 27 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 6.0.1-2
- Rebuild against mingw-gcc 4.8 (win64 uses SEH exceptions now)

* Tue Dec  4 2012 Thomas Sailer <t.sailer@alumni.ethz.ch> - 6.0.1-1
- update to 6.0.1

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 09 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.1-7
- Use the correct qmake macros to build this package

* Wed Mar 07 2012 Kalev Lember <kalevlember@gmail.com> - 5.2.1-6
- Renamed the source package to mingw-qwt (#801020)
- Modernize the spec file
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.2.1-5
- Rebuild against the mingw-w64 toolchain

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 5.2.1-3
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Apr 23 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.2.1-1
- update to 5.2.1

* Sat Feb 13 2010 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.2.0-3
- qt 4.6.1 compile workaround

* Wed Dec  2 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.2.0-2
- qt 4.6.0 compile workarounds

* Tue Nov 24 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.2.0-1
- update to 5.2.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-8
- add debuginfo packages

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-7
- replace %%define with %%global

* Mon Mar 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-6
- actually fix the source line as required by the reviewer
- remove commented out designer files in files section

* Mon Mar 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-5
- fix missing BR

* Fri Mar 13 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-4
- enable debug build

* Wed Mar 11 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 5.1.1-3
- copied from native qwt
